/// <reference types="react" />
import _Provider from './common/provider';
import _useError from './common/useError';
import _useCurrency from './common/useCurrency';
import _useSigner from './common/useSigner';
import _useAccount from './common/useAccount';
import _useNetwork from './common/useNetwork';
import _useBalance from './common/useBalance';
export * from './common/Wallet';
export declare const Context: import("react").Context<import("./common/context").IContext>;
export declare const Provider: typeof _Provider;
export declare const useError: typeof _useError;
export declare const useCurrency: typeof _useCurrency;
export declare const useSigner: typeof _useSigner;
export declare const useAccount: typeof _useAccount;
export declare const useNetwork: typeof _useNetwork;
export declare const useBalance: typeof _useBalance;
import { NFTs as _NFTs, AssetMetadata as _AssetMetadata, WhiteListTicket as _WhiteListTicket } from '@inkerlabs/sdk';
export declare type Assets = _NFTs;
export declare type AssetMetadata = _AssetMetadata;
export declare type WhiteListTicket = _WhiteListTicket;
